이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: Add Block Storages
- 2: Add DR Secondary
- 2.1: 1.1
- 3: Add Secondary
- 4: Add/Remove Databases
- 5: Create Cluster
- 6: Create Restore Cluster
- 7: Export Log
- 8: List Backup Histories
- 9: List Clusters
- 10: List DR Secondaries
- 10.1: 1.1
- 11: List Engine Version Properties
- 12: List Engine Versions
- 13: List Log Export Configs
- 14: List Parameter Groups
- 15: List Parameter Values
- 16: List Parameters
- 17: List Server Types
- 18: Manual Backup
- 18.1: 1.1
- 19: Patch Minor Version
- 20: Promote DR Secondary
- 20.1: 1.1
- 21: Register Log Export Config
- 22: Remove Backup Histories
- 23: Restart Cluster
- 24: Set Audit Log
- 25: Set Backup
- 26: Set Block Storage Size
- 27: Set Log Export Config
- 28: Set Maintenance
- 29: Set Parameter Values
- 30: Set Security Group Rules
- 31: Set Server Type
- 32: Show Cluster
- 33: Show Instance
- 33.1: 1.1
- 34: Show Request
- 35: Start Cluster
- 36: Stop Cluster
- 37: Switchover Cluster
- 38: Synchronize Cluster State
- 39: Synchronize DR Secondary State
- 39.1: 1.1
- 40: Synchronize Parameter Values
- 41: Terminate Cluster
- 42: Unregister Log Export Config
- 43: Unset Backup
- 44: Unset Maintenance
1 - Add Block Storages
1.1 - 1.1
post /v1/instance-groups/{instance_group_id}/block-storage-groups
Description
Add Block Storages.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | SqlserverAddBlockStoragesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/block-storage-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"role_type": "OS",
"size_gb": 104,
"volume_type": "SSD"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
1.2 - 1.0
post /v1/instance-groups/{instance_group_id}/block-storage-groups
Description
Add Block Storages.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | SqlserverAddBlockStoragesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/block-storage-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"role_type": "OS",
"size_gb": 104,
"volume_type": "SSD"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
2 - Add DR Secondary
2.1 - 1.1
post /v1/clusters/{cluster_id}/dr-secondaries
Description
Add DR Secondary.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | SqlserverDrSecondaryCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/dr-secondaries
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"ad_user_id": "aduser123",
"ad_user_password": "test123!",
"license": "",
"name": "",
"region": "",
"service_ip_address": "",
"subnet_id": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
3 - Add Secondary
3.1 - 1.1
post /v1/clusters/{cluster_id}/add-secondary
Description
Add Secondary.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | SqlserverAddSecondaryRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/add-secondary
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"ad_user_id": "",
"ad_user_password": "test123!",
"license": "",
"name": "",
"service_ip_address": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
3.2 - 1.0
post /v1/clusters/{cluster_id}/add-secondary
Description
Add Secondary.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | SqlserverAddSecondaryRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/add-secondary
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"ad_user_id": "",
"ad_user_password": "test123!",
"license": "",
"name": "",
"service_ip_address": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
4 - Add/Remove Databases
4.1 - 1.1
post /v1/clusters/{cluster_id}/databases
Description
Add/Remove Databases.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | SqlserverUpdateDatabasesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/databases
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"add_databases": [],
"del_databases": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
4.2 - 1.0
post /v1/clusters/{cluster_id}/databases
Description
Add/Remove Databases.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | SqlserverUpdateDatabasesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/databases
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"add_databases": [],
"del_databases": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
5 - Create Cluster
5.1 - 1.1
post /v1/clusters
Description
Create Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SqlserverClusterCreateRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"allowable_ip_addresses": [],
"dbaas_engine_version_id": "c1b856dd12754c0ba2614a39d0ed3ad1",
"ha_enabled": false,
"init_config_option": {
"ad_config": {
"ad_dns_servers": [
""
],
"ad_domain_name": "",
"ad_netbios_name": "",
"ad_user_id": "",
"ad_user_password": "test123!",
"failover_cluster_name": ""
},
"ad_enabled": false,
"audit_enabled": false,
"backup_option": {
"archive_frequency_minute": "",
"full_backup_day_of_week": "SUN",
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_collation": "SQL_Latin1_General_CP1_CI_AS",
"database_name": "",
"database_port": 2866,
"database_service_name": "Sqldbadmin",
"database_user_name": "mydatabaseusr",
"database_user_password": "test123!",
"databases": [
{
"database_name": "",
"drive_letter": "E"
}
],
"license": "AAAAA-AAAAA-AAAAA-AAAAA"
},
"instance_groups": [
{
"block_storage_groups": [
{
"role_type": "OS",
"size_gb": 104,
"volume_type": "SSD"
},
{
"role_type": "DATA",
"size_gb": 56,
"volume_type": "SSD"
}
],
"instances": [
{
"public_ip_id": "",
"role_type": "ACTIVE",
"service_ip_address": "192.168.10.10/32"
}
],
"role_type": "ACTIVE",
"server_type_name": "db1v2m4"
}
],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "5",
"starting_day_of_week": "MON",
"starting_time": "0000"
},
"name": "mycluster",
"nat_enabled": false,
"service_watch_log_collection": true,
"subnet_id": "1ddd7f1e4a8a43ed8b82d70cade0b321",
"tags": [],
"timezone": "Asia/Seoul",
"vip_public_ip_id": "",
"virtual_ip_address": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
5.2 - 1.0
post /v1/clusters
Description
Create Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SqlserverClusterCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"allowable_ip_addresses": [],
"dbaas_engine_version_id": "c1b856dd12754c0ba2614a39d0ed3ad1",
"ha_enabled": false,
"init_config_option": {
"ad_config": {
"ad_dns_servers": [
""
],
"ad_domain_name": "",
"ad_netbios_name": "",
"ad_user_id": "",
"ad_user_password": "test123!",
"failover_cluster_name": ""
},
"ad_enabled": false,
"audit_enabled": false,
"backup_option": {
"archive_frequency_minute": "",
"full_backup_day_of_week": "SUN",
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_collation": "SQL_Latin1_General_CP1_CI_AS",
"database_name": "",
"database_port": 2866,
"database_service_name": "Sqldbadmin",
"database_user_name": "mydatabaseusr",
"database_user_password": "test123!",
"databases": [
{
"database_name": "",
"drive_letter": "E"
}
],
"license": "AAAAA-AAAAA-AAAAA-AAAAA"
},
"instance_groups": [
{
"block_storage_groups": [
{
"role_type": "OS",
"size_gb": 104,
"volume_type": "SSD"
},
{
"role_type": "DATA",
"size_gb": 56,
"volume_type": "SSD"
}
],
"instances": [
{
"public_ip_id": "",
"role_type": "ACTIVE",
"service_ip_address": "192.168.10.10/32"
}
],
"role_type": "ACTIVE",
"server_type_name": "db1v2m4"
}
],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "5",
"starting_day_of_week": "MON",
"starting_time": "0000"
},
"name": "mycluster",
"nat_enabled": false,
"subnet_id": "1ddd7f1e4a8a43ed8b82d70cade0b321",
"tags": [],
"timezone": "Asia/Seoul",
"vip_public_ip_id": "",
"virtual_ip_address": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
6 - Create Restore Cluster
6.1 - 1.1
post /v1/clusters/{cluster_id}/restore
Description
Create Restore Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | ClusterRestoreRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restore
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"allowable_ip_addresses": [],
"backup_history_number": "202501010000",
"backup_recovery_time": "",
"block_storage_groups": [],
"instance_name_prefix": "myprefix",
"maintenance_option": {
"period_hour": "5",
"starting_day_of_week": "MON",
"starting_time": "0000"
},
"name": "mycluster",
"server_type_name": "",
"tags": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
6.2 - 1.0
post /v1/clusters/{cluster_id}/restore
Description
Create Restore Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | ClusterRestoreRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restore
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"allowable_ip_addresses": [],
"backup_history_number": "202501010000",
"backup_recovery_time": "",
"block_storage_groups": [],
"instance_name_prefix": "myprefix",
"maintenance_option": {
"period_hour": "5",
"starting_day_of_week": "MON",
"starting_time": "0000"
},
"name": "mycluster",
"server_type_name": "",
"tags": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
7 - Export Log
7.1 - 1.1
post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export
Description
Export Log.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
7.2 - 1.0
post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export
Description
Export Log.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
8 - List Backup Histories
8.1 - 1.1
get /v1/clusters/{cluster_id}/backup-histories
Description
List Backup Histories.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| query | limit optional | Number of backup lists Example : | any of [integer, null] | None |
| query | page optional | Backup list page Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupHistoryListApiResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_at": "",
"backup_history_number": "",
"backup_size_gb": "",
"backup_start_at": "",
"backup_state": "",
"backup_state_detail": "",
"software_version": ""
}
],
"total_count": ""
}
8.2 - 1.0
get /v1/clusters/{cluster_id}/backup-histories
Description
List Backup Histories.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| query | limit optional | Number of backup lists Example : | any of [integer, null] | None |
| query | page optional | Backup list page Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupHistoryListApiResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_at": "",
"backup_history_number": "",
"backup_size_gb": "",
"backup_start_at": "",
"backup_state": "",
"backup_state_detail": "",
"software_version": ""
}
],
"total_count": ""
}
9 - List Clusters
9.1 - 1.1
get /v1/clusters
Description
List Clusters.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | name optional | Cluster name Example : | any of [string, null] | None |
| query | service_state optional | Service state Example : | any of [string, null] | None |
| query | database_name optional | Database Name Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RdbClusterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"database_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"instance_count": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"role_type": "ORIGIN",
"service_state": "RUNNING"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
9.2 - 1.0
get /v1/clusters
Description
List Clusters.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | name optional | Cluster name Example : | any of [string, null] | None |
| query | service_state optional | Service state Example : | any of [string, null] | None |
| query | database_name optional | Database Name Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RdbClusterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"database_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"instance_count": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"role_type": "ORIGIN",
"service_state": "RUNNING"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
10 - List DR Secondaries
10.1 - 1.1
get /v1/clusters/{cluster_id}/dr-secondaries
Description
List DR Secondaries.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SqlserverDrSecondariesListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/dr-secondaries
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"check_time": "",
"name": "",
"region_nm": "",
"state": "",
"state_detail": ""
}
],
"count": ""
}
11 - List Engine Version Properties
11.1 - 1.1
get /v1/engine-versions/{dbaas_engine_version_id}/properties
Description
List Engine Version Properties.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dbaas_engine_version_id required | DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint. Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EnginePropertyListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions/{dbaas_engine_version_id}/properties
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"name": "",
"value": ""
}
]
}
11.2 - 1.0
get /v1/engine-versions/{dbaas_engine_version_id}/properties
Description
List Engine Version Properties.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dbaas_engine_version_id required | DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint. Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EnginePropertyListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions/{dbaas_engine_version_id}/properties
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"name": "",
"value": ""
}
]
}
12 - List Engine Versions
12.1 - 1.1
get /v1/engine-versions
Description
List Engine Versions.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id optional | DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint. Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null] | None |
| query | eos_included optional | EoS included Example : False | boolean | False |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EngineListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"end_of_service": false,
"id": "",
"major_version": "",
"name": "",
"os_type": "",
"os_version": "",
"product_image_type": "",
"software_version": ""
}
]
}
12.2 - 1.0
get /v1/engine-versions
Description
List Engine Versions.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id optional | DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint. Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null] | None |
| query | eos_included optional | EoS included Example : False | boolean | False |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EngineListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"end_of_service": false,
"id": "",
"major_version": "",
"name": "",
"os_type": "",
"os_version": "",
"product_image_type": "",
"software_version": ""
}
]
}
13 - List Log Export Configs
13.1 - 1.1
get /v1/clusters/{cluster_id}/log-export-configs
Description
List Log Export Configs.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| query | type optional | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogExportConfigListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"bucket_name": "examplebucket",
"delete_on_export": true,
"is_bucket_deleted": false,
"is_registered": true,
"log_label": "DB Alert Log",
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12"
}
],
"count": 1
}
13.2 - 1.0
get /v1/clusters/{cluster_id}/log-export-configs
Description
List Log Export Configs.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| query | type optional | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogExportConfigListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"bucket_name": "examplebucket",
"delete_on_export": true,
"is_bucket_deleted": false,
"is_registered": true,
"log_label": "DB Alert Log",
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12"
}
],
"count": 1
}
14 - List Parameter Groups
14.1 - 1.1
get /v1/parameter-groups
Description
List Parameter Groups.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | major_version optional | Software major version Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterGroupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameter-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"id": "",
"major_version": "",
"name": "",
"product_image_type": "",
"product_type": ""
}
],
"sort": [
""
]
}
14.2 - 1.0
get /v1/parameter-groups
Description
List Parameter Groups.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | major_version optional | Software major version Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterGroupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameter-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"id": "",
"major_version": "",
"name": "",
"product_image_type": "",
"product_type": ""
}
],
"sort": [
""
]
}
15 - List Parameter Values
15.1 - 1.1
get /v1/clusters/{cluster_id}/parameters
Description
List Parameter Values.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParametersResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"allows_value": "",
"applied_value": "",
"apply_type": "",
"data_type": "",
"default_value": "",
"description": "",
"id": "",
"is_modifiable": "",
"name": "",
"software_type": ""
}
],
"count": "",
"modified_at": ""
}
15.2 - 1.0
get /v1/clusters/{cluster_id}/parameters
Description
List Parameter Values.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParametersResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"allows_value": "",
"applied_value": "",
"apply_type": "",
"data_type": "",
"default_value": "",
"description": "",
"id": "",
"is_modifiable": "",
"name": "",
"software_type": ""
}
],
"count": "",
"modified_at": ""
}
16 - List Parameters
16.1 - 1.1
get /v1/parameters
Description
List Parameters.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | dbaas_parameter_group_id required | Parameter group ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"dbaas_parameter_group_id": "",
"default_value": "",
"description": "",
"id": "",
"name": "",
"software_type": ""
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
16.2 - 1.0
get /v1/parameters
Description
List Parameters.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | dbaas_parameter_group_id required | Parameter group ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"dbaas_parameter_group_id": "",
"default_value": "",
"description": "",
"id": "",
"name": "",
"software_type": ""
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
17 - List Server Types
17.1 - 1.1
get /v1/server-types
Description
List Server Types.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | Server type name Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerTypeListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/server-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"cpu_core": "",
"description": "",
"memory_gb": "",
"name": "",
"product_image_type": "",
"product_type": "",
"purpose": "",
"type": ""
}
]
}
17.2 - 1.0
get /v1/server-types
Description
List Server Types.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | Server type name Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerTypeListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/server-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cpu_core": "",
"description": "",
"memory_gb": "",
"name": "",
"product_image_type": "",
"product_type": "",
"purpose": "",
"type": ""
}
]
}
18 - Manual Backup
18.1 - 1.1
post /v1/clusters/{cluster_id}/backups/manual
Description
Manual Backup.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups/manual
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
19 - Patch Minor Version
19.1 - 1.1
put /v1/clusters/{cluster_id}/patch
Description
Patch Minor Version.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | MinorPatchRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/patch
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"software_version": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
19.2 - 1.0
put /v1/clusters/{cluster_id}/patch
Description
Patch Minor Version.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | MinorPatchRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/patch
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"software_version": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
20 - Promote DR Secondary
20.1 - 1.1
put /v1/clusters/{cluster_id}/dr-secondaries/promote
Description
Promote DR Secondary.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/dr-secondaries/promote
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
21 - Register Log Export Config
21.1 - 1.1
post /v1/clusters/{cluster_id}/log-export-configs
Description
Register Log Export Config.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | LogExportConfigCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"bucket_name": "examplebucket",
"delete_on_export": true,
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
21.2 - 1.0
post /v1/clusters/{cluster_id}/log-export-configs
Description
Register Log Export Config.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | LogExportConfigCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"bucket_name": "examplebucket",
"delete_on_export": true,
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
22 - Remove Backup Histories
22.1 - 1.1
put /v1/clusters/{cluster_id}/backup-histories
Description
Remove Backup Histories.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | BackupHistoryNumberRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"backup_history_number": [
""
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
22.2 - 1.0
put /v1/clusters/{cluster_id}/backup-histories
Description
Remove Backup Histories.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | BackupHistoryNumberRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"backup_history_number": [
""
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
23 - Restart Cluster
23.1 - 1.1
post /v1/clusters/{cluster_id}/restart
Description
Restart Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restart
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
23.2 - 1.0
post /v1/clusters/{cluster_id}/restart
Description
Restart Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restart
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
24 - Set Audit Log
24.1 - 1.1
put /v1/clusters/{cluster_id}/audit-log
Description
Set Audit Log.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | AuditLogRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/audit-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"use_audit_log": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
24.2 - 1.0
put /v1/clusters/{cluster_id}/audit-log
Description
Set Audit Log.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | AuditLogRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/audit-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"use_audit_log": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
25 - Set Backup
25.1 - 1.1
post /v1/clusters/{cluster_id}/backups
Description
Set Backup.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | SqlserverBackupSettingRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"archive_frequency_minute": "",
"full_backup_day_of_week": "SUN",
"retention_period_day": "",
"starting_time_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
25.2 - 1.0
post /v1/clusters/{cluster_id}/backups
Description
Set Backup.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | SqlserverBackupSettingRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"archive_frequency_minute": "",
"full_backup_day_of_week": "SUN",
"retention_period_day": "",
"starting_time_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
26 - Set Block Storage Size
26.1 - 1.1
post /v1/block-storage-groups/{block_storage_group_id}/resize
Description
Set Block Storage Size.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | block_storage_group_id required | Block storage group ID Example : afc33891202643ba8ba1a5298a1affff | string | None |
| body | body required | ResizeBlockStorageGroupRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/block-storage-groups/{block_storage_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"size_gb": 16
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
26.2 - 1.0
post /v1/block-storage-groups/{block_storage_group_id}/resize
Description
Set Block Storage Size.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | block_storage_group_id required | Block storage group ID Example : afc33891202643ba8ba1a5298a1affff | string | None |
| body | body required | ResizeBlockStorageGroupRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/block-storage-groups/{block_storage_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"size_gb": 16
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
27 - Set Log Export Config
27.1 - 1.1
put /v1/clusters/{cluster_id}/log-export-configs/{log_type}
Description
Set Log Export Config.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
| body | body required | LogExportConfigModifyRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"delete_on_export": true,
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
27.2 - 1.0
put /v1/clusters/{cluster_id}/log-export-configs/{log_type}
Description
Set Log Export Config.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
| body | body required | LogExportConfigModifyRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"delete_on_export": true,
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
28 - Set Maintenance
28.1 - 1.1
post /v1/clusters/{cluster_id}/maintenance
Description
Set Maintenance.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | MaintenanceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"start_day_of_week": "MON",
"start_minute": "",
"start_time": "",
"term_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
28.2 - 1.0
post /v1/clusters/{cluster_id}/maintenance
Description
Set Maintenance.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | MaintenanceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"start_day_of_week": "MON",
"start_minute": "",
"start_time": "",
"term_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
29 - Set Parameter Values
29.1 - 1.1
put /v1/clusters/{cluster_id}/parameters
Description
Set Parameter Values.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | ParametersRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"parameters": [
{
"id": "",
"new_value": "",
"old_value": ""
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
29.2 - 1.0
put /v1/clusters/{cluster_id}/parameters
Description
Set Parameter Values.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | ParametersRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"parameters": [
{
"id": "",
"new_value": "",
"old_value": ""
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
30 - Set Security Group Rules
30.1 - 1.1
post /v1/clusters/{cluster_id}/security-group-rules
Description
Set Security Group Rules.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | UpdateSecurityGroupRulesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/security-group-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"add_ip_addresses": [],
"del_ip_addresses": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
30.2 - 1.0
post /v1/clusters/{cluster_id}/security-group-rules
Description
Set Security Group Rules.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | UpdateSecurityGroupRulesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/security-group-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"add_ip_addresses": [],
"del_ip_addresses": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
31 - Set Server Type
31.1 - 1.1
post /v1/instance-groups/{instance_group_id}/resize
Description
Set Server Type.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | InstanceGroupResizeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Request body
{
"server_type_name": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
31.2 - 1.0
post /v1/instance-groups/{instance_group_id}/resize
Description
Set Server Type.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | InstanceGroupResizeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"server_type_name": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
32 - Show Cluster
32.1 - 1.1
get /v1/clusters/{cluster_id}
Description
Show Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SqlserverClusterDetailResponseV1Dot1 |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"account_id": "",
"allowable_ip_addresses": [],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"dbaas_engine": "",
"dbaas_engine_version_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"init_config_option": {
"ad_config": {
"ad_dns_servers": [
""
],
"ad_domain_name": "",
"ad_netbios_name": "",
"ad_user_id": "",
"failover_cluster_name": ""
},
"ad_enabled": false,
"audit_enabled": false,
"backup_option": {
"archive_frequency_minute": "",
"full_backup_day_of_week": "SUN",
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_collation": "SQL_Latin1_General_CP1_CI_AS",
"database_port": 2866,
"database_service_name": "",
"database_user_name": "",
"databases": [
{
"database_name": "",
"drive_letter": "E"
}
]
},
"instance_count": 0,
"instance_groups": [
{
"block_storage_groups": [
{
"drive_letter": "",
"id": "",
"name": "",
"role_type": "OS",
"size_gb": "",
"volume_type": "SSD"
}
],
"id": "",
"instances": [
{
"name": "",
"public_ip_address": "",
"public_ip_id": "",
"role_type": "",
"service_ip_address": "",
"service_state": "RUNNING"
}
],
"role_type": "",
"server_type_name": ""
}
],
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": "",
"use_maintenance_option": false
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_enabled": false,
"product_image_type": "",
"product_type": "",
"role_type": "ORIGIN",
"service_state": "RUNNING",
"service_watch_log_collection": false,
"software_version": "",
"subnet_id": "",
"timezone": "",
"vip_public_ip_address": "",
"vip_public_ip_id": "",
"virtual_ip_address": ""
}
32.2 - 1.0
get /v1/clusters/{cluster_id}
Description
Show Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SqlserverClusterDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"account_id": "",
"allowable_ip_addresses": [],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"dbaas_engine": "",
"dbaas_engine_version_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"init_config_option": {
"ad_config": {
"ad_dns_servers": [
""
],
"ad_domain_name": "",
"ad_netbios_name": "",
"ad_user_id": "",
"failover_cluster_name": ""
},
"ad_enabled": false,
"audit_enabled": false,
"backup_option": {
"archive_frequency_minute": "",
"full_backup_day_of_week": "SUN",
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_collation": "SQL_Latin1_General_CP1_CI_AS",
"database_port": 2866,
"database_service_name": "",
"database_user_name": "",
"databases": [
{
"database_name": "",
"drive_letter": "E"
}
]
},
"instance_count": 0,
"instance_groups": [
{
"block_storage_groups": [
{
"drive_letter": "",
"id": "",
"name": "",
"role_type": "OS",
"size_gb": "",
"volume_type": "SSD"
}
],
"id": "",
"instances": [
{
"name": "",
"public_ip_address": "",
"public_ip_id": "",
"role_type": "",
"service_ip_address": "",
"service_state": "RUNNING"
}
],
"role_type": "",
"server_type_name": ""
}
],
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": "",
"use_maintenance_option": false
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_enabled": false,
"product_image_type": "",
"product_type": "",
"role_type": "ORIGIN",
"service_state": "RUNNING",
"software_version": "",
"subnet_id": "",
"timezone": "",
"vip_public_ip_address": "",
"vip_public_ip_id": "",
"virtual_ip_address": ""
}
33 - Show Instance
33.1 - 1.1
get /v1/clusters/{cluster_id}/instances/{instance_name}
Description
Show Instance.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| path | instance_name required | Instance name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InstanceDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/instances/{instance_name}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"account_id": "",
"block_storages": [
{
"name": "",
"role_type": "OS",
"size_gb": "",
"volume_type": "SSD"
}
],
"cluster_id": "",
"cluster_name": "",
"cpu_core": "",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "",
"dbaas_engine": "",
"memory_gb": "",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "",
"name": "",
"os_type": "",
"os_version": "",
"product_image_type": "",
"product_type": "",
"public_ip_address": "",
"public_ip_id": "",
"region": "",
"role_type": "",
"server_type_name": "",
"service_ip_address": "",
"service_state": "RUNNING",
"software_version": "",
"zone": ""
}
34 - Show Request
34.1 - 1.1
get /v1/requests/{request_id}
Description
Show Request.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | request_id required | Request ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RequestStateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/requests/{request_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"request_id": "",
"state": ""
}
34.2 - 1.0
get /v1/requests/{request_id}
Description
Show Request.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | request_id required | Request ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RequestStateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/requests/{request_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"request_id": "",
"state": ""
}
35 - Start Cluster
35.1 - 1.1
post /v1/clusters/{cluster_id}/start
Description
Start Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/start
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
35.2 - 1.0
post /v1/clusters/{cluster_id}/start
Description
Start Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/start
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
36 - Stop Cluster
36.1 - 1.1
post /v1/clusters/{cluster_id}/stop
Description
Stop Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/stop
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
36.2 - 1.0
post /v1/clusters/{cluster_id}/stop
Description
Stop Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/stop
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
37 - Switchover Cluster
37.1 - 1.1
post /v1/clusters/{cluster_id}/switchover
Description
Switchover Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/switchover
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
37.2 - 1.0
post /v1/clusters/{cluster_id}/switchover
Description
Switchover Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/switchover
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
38 - Synchronize Cluster State
38.1 - 1.1
post /v1/clusters/{cluster_id}/sync-state
Description
Synchronize Cluster State.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/sync-state
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
38.2 - 1.0
post /v1/clusters/{cluster_id}/sync-state
Description
Synchronize Cluster State.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/sync-state
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
39 - Synchronize DR Secondary State
39.1 - 1.1
post /v1/clusters/{cluster_id}/dr-secondaries/sync-state
Description
Synchronize DR Secondary State.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/dr-secondaries/sync-state
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
40 - Synchronize Parameter Values
40.1 - 1.1
post /v1/clusters/{cluster_id}/parameters/sync
Description
Synchronize Parameter Values.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters/sync
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
40.2 - 1.0
post /v1/clusters/{cluster_id}/parameters/sync
Description
Synchronize Parameter Values.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters/sync
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
41 - Terminate Cluster
41.1 - 1.1
delete /v1/clusters/{cluster_id}
Description
Terminate Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
41.2 - 1.0
delete /v1/clusters/{cluster_id}
Description
Terminate Cluster.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
42 - Unregister Log Export Config
42.1 - 1.1
delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}
Description
Unregister Log Export Config.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
42.2 - 1.0
delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}
Description
Unregister Log Export Config.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
43 - Unset Backup
43.1 - 1.1
delete /v1/clusters/{cluster_id}/backups
Description
Unset Backup.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
43.2 - 1.0
delete /v1/clusters/{cluster_id}/backups
Description
Unset Backup.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20261031 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
44 - Unset Maintenance
44.1 - 1.1
delete /v1/clusters/{cluster_id}/maintenance
Description
Unset Maintenance.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
44.2 - 1.0
delete /v1/clusters/{cluster_id}/maintenance
[...]
